%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%define __debug_install_post %{_mingw32_debug_install_post}

Name:           mingw-libtasn1
Version:        2.12
Release:        1%{?dist}
Summary:        MinGW Windows libtasn1 library

# The libtasn1 library is LGPLv2+, utilities are GPLv3+;
# we are only packaging the library.
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.gnu.org/software/libtasn1/
Source0:        http://ftp.gnu.org/gnu/libtasn1/libtasn1-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-gcc
BuildRequires:  bison

%description
libtasn1 is the ASN.1 library used in GNUTLS.

This package contains the MinGW Windows cross compiled libtasn1 library.


%package -n mingw32-libtasn1
Summary:        MinGW Windows libtasn1 library
Requires:       pkgconfig

%description -n mingw32-libtasn1
libtasn1 is the ASN.1 library used in GNUTLS.

This package contains the MinGW Windows cross compiled libtasn1 library.


%{?_mingw32_debug_package}


%prep
%setup -q -n libtasn1-%{version}


%build
%{_mingw32_configure} --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# Remove documentation
rm -rf $RPM_BUILD_ROOT%{_mingw32_datadir}/info/
rm -rf $RPM_BUILD_ROOT%{_mingw32_mandir}
# Remove utilities
rm -f $RPM_BUILD_ROOT%{_mingw32_bindir}/*.exe


%files -n mingw32-libtasn1
%doc COPYING.LIB
%{_mingw32_bindir}/libtasn1-3.dll
%{_mingw32_includedir}/libtasn1.h
%{_mingw32_libdir}/libtasn1.dll.a
%{_mingw32_libdir}/libtasn1.la
%{_mingw32_libdir}/pkgconfig/libtasn1.pc


%changelog
* Tue Mar 20 2012 Kalev Lember <kalevlember@gmail.com> - 2.12-1
- Update to 2.12 (#804920)

* Sun Jul 10 2011 Kalev Lember <kalevlember@gmail.com> - 2.9-1
- Update to 2.9
- Renamed the base package to mingw-libtasn1
- Use the automatic dep extraction available in mingw32-filesystem 68

* Mon May 09 2011 Kalev Lember <kalev@smartlink.ee> - 2.7-1
- Initial RPM release
